<?php
// redirect if this file is directly called in the browser
if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?php page_title('', '[WEBSITE_TITLE]'); ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=<?php echo defined('DEFAULT_CHARSET') ? DEFAULT_CHARSET :'utf-8';?>" />
  <meta name="description" content="<?php page_description(); ?>" />
  <meta name="keywords" content="<?php page_keywords(); ?>" />
  <?php 
  // automatically include optional module files (frontend.css, frontend.js) if required
  // include the template CSS files below to prevent that CSS definitions are overwritten by modules
  if(function_exists('register_frontend_modfiles')) {
    register_frontend_modfiles('css');
    register_frontend_modfiles('js');
	}
  ?>
    <link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/editor.css"  />
  	<link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/main.css"  />
	<!--[if IE 6]>
		<link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/ie6.css" />
	<![endif]-->
    <link rel="Shortcut Icon" type="image/x-icon" href="<?php echo TEMPLATE_DIR; ?>/images/favicon.ico" />	
</head>
<body>
<div id="header">
	<div class="top"> </div>
	<div class="title"><?php page_title('', '[WEBSITE_TITLE]');?></div>
	<div class="subtitle"><?php page_header(); ?></div>		
	<?php // show_menu2 required to show the menu
		if(!function_exists('show_menu2')) {
		echo 'This template requires the code snippet: show_menu2';
		
		} else {
		//show_menu2(1); 
		show_menu2(1,SM2_ROOT,SM2_START,SM2_TRIM|SM2_PRETTY,'<li><a href="[url]" target="[target]" class="[class]">[menu_title]</a>','</li>','<ul>','</ul>',false,false);
 		}?>	
</div>
<div id="content">
	<div id="sidebar">			
			<?php			
			ob_start();			
			page_content(2);
			$block2 = ''.ob_get_contents();
			ob_end_clean(); 
			ob_start();
			if(function_exists('display_news_items')) { display_news_items();  }
			$newsitems = ''.ob_get_contents();
			ob_end_clean(); 
			
			if ($block2 <> '') {echo '<div class="sbblock">'.$block2.'</div>';}
			if ($newsitems <> '') {echo '<div class="sbblock">'.$newsitems.'</div>';}
		
			if(function_exists('show_menu2')) {
				ob_start();
				show_menu2(2);
				$m2 = ''.ob_get_contents();
				ob_end_clean(); 
				if ($m2 <> '') {echo '<h2>Links</h2>'.$m2;}			
 			}?> 
	</div>
	<div id="main"><?php page_content(); ?></div>
	<div class="clearer"></div>
</div>
<div id="footer"><p>Designed by <a href="http://websitebaker.at/">websitebaker.at</a> | <?php page_footer(); ?></p></div>
</body>
</html>